import '../../stencil.core';
import '../../stencil.core';
import '../../stencil.core';
import { BaseWebcomponent } from '../../lib/base/base-webcomponent';
export declare class Debugger extends BaseWebcomponent {
    history: any[];
    viewerLabel: string;
    addToHistory: boolean;
    host: HTMLElement;
    isActive: boolean;
    isOpen: boolean;
    isRunning: boolean;
    jsonLoaded: boolean;
    data: any;
    currentItem: any;
    apiUrl: string;
    dataJson: string;
    jsonUrl: string;
    type: string;
    historySize: number;
    maxLevel: number;
    collapseAt: number;
    constructor();
    componentDidLoad(): void;
    setCurrentItem(index: number, addToHistory?: boolean): void;
    onListItemClick(index: number, addToHistory?: boolean): void;
    handleKeyDown(e: any): boolean;
    pushHistory(value: any): void;
    open(): void;
    close(): void;
    toggle(): void;
    run(): void;
    pause(): void;
    render(): JSX.Element;
}
